# mermail

Generate responsive transactional HTML emails 🧜📧

## About

This library was inspired by [mailgen](https://github.com/eladnava/mailgen) but uses MJML JSON definitions instead of the EJS templating language.

## Installation

```bash
npm install mermail mjml
```

[npm package link](https://www.npmjs.com/package/mermail)

## Usage

```javascript
const mermail = require("mermail");

const html = mermail.simple({
  logo: "https://cdn.byteboomers.com/img/logo/png/handlescout--64x64.png",
  title: "Handle available",
  intro: ["Go claim it while you still can!"],
  cta: {
    text: "Open Twitter",
    link: "https://www.twitter.com"
  },
  outro: ["The Handlescout team"],
  links: [
    {
      text: "Home page",
      link: "https://handlescout.com"
    },
    {
      text: "Follow us on Twitter",
      link: "https://twitter.com/handlescout"
    }
  ],
  copyright: "© 2019 Handlescout"
});
```
